summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/tiobench/tiobench.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/tiobench/tiobench.sh')
-rwxr-xr-xsanity/system_light/scripts/tiobench/tiobench.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/tiobench/tiobench.sh b/sanity/system_light/scripts/tiobench/tiobench.sh
new file mode 100755
index 0000000..1a86bf3
--- /dev/null
+++ b/sanity/system_light/scripts/tiobench/tiobench.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+function main ()
+{
+ echo "start:`date +%T`"
+ time $TIO_BIN -d $THIS_TEST_DIR -W -S -c 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+}
+
+main "$@"; \ No newline at end of file